Lhasa: _LHAFileHeader Struct Reference

Lhasa

Loading...
Searching...
No Matches
Data Fields
_LHAFileHeader Struct Reference

Structure containing a decoded LZH file header. More...

`#include <lha_file_header.h>`

## Data Fields
char * | path
| Stored path, with Unix-style ('/') path separators.
char * | filename
| File name.
char * | symlink_target
| Target for symbolic link.
char | compress_method [6]
| Compression method.
uint8_t | header_level
| LZH header format used to store this header.
uint8_t | os_type
| OS type indicator, identifying the OS on which the archive was created.
uint16_t | crc
| CRC-16 checksum of the compressed data.
unsigned int | timestamp
| Unix timestamp of the modification time of the file.
uint8_t * | raw_data
| Pointer to a buffer containing the raw header data.
size_t | raw_data_len
| Length of the raw header data.
unsigned int | extra_flags
| Flags bitfield identifying extra data decoded from extended headers.
unsigned int | unix_perms
| Unix permissions, set if LHA_FILE_UNIX_PERMS is set.
unsigned int | unix_uid
| Unix user ID, set if LHA_FILE_UNIX_UID_GID is set.
unsigned int | unix_gid
| Unix group ID, set if LHA_FILE_UNIX_UID_GID is set.
unsigned int | os9_perms
| OS-9 permissions, set if LHA_FILE_OS9_PERMS is set.
char * | unix_username
| Unix username.
char * | unix_group
| Unix group name.
uint16_t | common_crc
| 16-bit CRC of header contents.
uint64_t | win_creation_time
| Windows FILETIME file creation time, set if LHA_FILE_WINDOWS_TIMESTAMPS is set.
uint64_t | win_modification_time
| Windows FILETIME file modification time, set if LHA_FILE_WINDOWS_TIMESTAMPS is set.
uint64_t | win_access_time
| Windows FILETIME file access time, set if LHA_FILE_WINDOWS_TIMESTAMPS is set.
uint64_t | compressed_length
| Length of the compressed data.
uint64_t | length
| Length of the uncompressed data.

## Detailed Description

Structure containing a decoded LZH file header.

A file header precedes the compressed data of each file stored within an LZH archive. It contains the name of the file, and various additional metadata, some of which is optional, and can depend on the header format, the tool used to create the archive, and the operating system on which it was created.

## Field Documentation

## ◆ compress_method

char _LHAFileHeader::compress_method[6]

Compression method.

If the header represents a directory or a symbolic link, the compression method is equal to LHA_COMPRESS_TYPE_DIR.

## ◆ filename

char* _LHAFileHeader::filename

File name.

This is never NULL, except if this is a directory (LHA_COMPRESS_TYPE_DIR), where it is always NULL.

## ◆ path

char* _LHAFileHeader::path

Stored path, with Unix-style ('/') path separators.

This may be NULL, although if this is a directory (LHA_COMPRESS_TYPE_DIR), it is never NULL.

## ◆ symlink_target

char* _LHAFileHeader::symlink_target

Target for symbolic link.

This is NULL unless this header represents a symbolic link (LHA_COMPRESS_TYPE_DIR).

The documentation for this struct was generated from the following file:

- lha_file_header.h